山本(rcn)@ntt〜kddi です。こんにちは。

> はじめまして。まちだと申します。

 はじめまして。


> 「基礎から学ぶWebデータベースプログラミング」のサンプルをSQLiteで試し
> ているのですが、以下のようなエラーが出ます。

 私も、いろいろ苦労しています。


> /usr/local/lib/site_ruby/1.6/dbi/dbi.rb:502:in `load_driver' : Could n
> ot load driver (undefined method `Driver' for nil)(DBI::InterfaceErro
> r)

 これは Ruby DBI とデータベースの間のラッパがインストールされていないと
出ます。あれ、でも SQLite のラッパは標準でついていないのかな。

 ともかく PostgreSQL で使うには ruby-dbd_pg と言うラッパを
インストールすることで回避しました。
環境が FreeBSD なので Linux とは名前が違うかもしれません。

 参考までに。


# ショップのサンプルを動かそうとしているのですが、
# なかなか、うまくいかないです。
# http://diary.oyt.jp/tDiary/index.rbx?date=20031003
# http://diary.oyt.jp/tDiary/index.rbx?date=20031006
# でも、要素技術を手に入れるためにも、頑張っています。


----
山本 達也 <rcn / gol.com> http://r.oyt.jp/ http://diary.oyt.jp/